/*
Locations for contributors to the OpenMolcas code
One marker per institution if possible
*/
var dev_places = [
  {
    "city": "Nantes, France",
    "lat": 47.23480,
    "lng": -1.55466,
    "name": "CNRS, Nantes Univesity",
    "url": "https://www.cnrs.fr/en",
  },
  {
    "city": "Zurich, Switzerland",
    "lat": 47.40701,
    "lng": 8.50769,
    "name": "ETH Zurich",
    "url": "https://ethz.ch/en.html",
  },
  {
    "city": "Jerusalem, Israel",
    "lat": 31.77408,
    "lng": 35.19702,
    "name": "The Hebrew University of Jerusalem",
    "url": "https://en.huji.ac.il",
  },
  {
    "city": "Waterloo, Canada",
    "lat": 43.44919,
    "lng": -80.56515,
    "name": "HPQC Labs",
    "url": "https://hpqc.org",
  },
  {
    "city": "Kyoto, Japan",
    "lat": 35.02987,
    "lng": 135.78285,
    "name": "Kyoto University",
    "url": "https://www.kyoto-u.ac.jp/en",
  },
  {
    "city": "Loughborough, United Kingdom",
    "lat": 52.76171,
    "lng": -1.24080,
    "name": "Loughborough University",
    "url": "https://www.lboro.ac.uk",
  },
  {
    "city": "Lund, Sweden",
    "lat": 55.71586,
    "lng": 13.20953,
    "name": "Lund University",
    "url": "https://www.lunduniversity.lu.se",
  },
  {
    "city": "Stuttgart, Germany",
    "lat": 48.74662,
    "lng": 9.08198,
    "name": "Max Planck Institute for Solid State Research",
    "url": "https://www.fkf.mpg.de/en",
  },
  {
    "city": "Nagoya, Japan",
    "lat": 35.15536,
    "lng": 136.96825,
    "name": "Nagoya University",
    "url": "https://www.nagoya-u.ac.jp/en",
  },
  {
    "city": "Singapore",
    "lat": 1.29611,
    "lng": 103.77937,
    "name": "National University of Singapore",
    "url": "https://nus.edu.sg",
  },
  {
    "city": "Oak Ridge, United States",
    "lat": 35.92952,
    "lng": -84.31050,
    "name": "Oak Ridge National Laboratory",
    "url": "https://www.ornl.gov",
  },
  {
    "city": "Stockholm, Sweden",
    "lat": 59.35382,
    "lng": 18.05755,
    "name": "Stockholm University",
    "url": "https://www.su.se/english",
  },
  {
    "city": "Kongens Lyngby, Denmark",
    "lat": 55.78662,
    "lng": 12.51797,
    "name": "Technical University of Denmark",
    "url": "https://www.dtu.dk/english",
  },
  {
    "city": "Garching bei München, Germany",
    "lat": 48.26928,
    "lng": 11.66927,
    "name": "Technical University of Munich",
    "url": "https://www.tum.de/en",
  },
  {
    "city": "Buffalo, United States",
    "lat": 43.00075,
    "lng": -78.79176,
    "name": "University at Buffalo",
    "url": "https://www.buffalo.edu",
  },
  {
    "city": "Chicago, United States",
    "lat": 41.79047,
    "lng": -87.60099,
    "name": "The University of Chicago",
    "url": "https://chemistry.uchicago.edu",
  },
  {
    "city": "Geneva, Switzerland",
    "lat": 46.19821,
    "lng": 6.13263,
    "name": "University of Geneva",
    "url": "https://www.unige.ch/en",
  },
  {
    "city": "Liège, Belgium",
    "lat": 50.58367,
    "lng": 5.56770,
    "name": "University of Liège",
    "url": "https://www.uliege.be",
  },
  {
    "city": "Minneapolis, United States",
    "lat": 44.97451,
    "lng": -93.23623,
    "name": "University of Minnesota",
    "url": "https://twin-cities.umn.edu",
  },
  {
    "city": "Helsinki, Finland",
    "lat": 60.20545,
    "lng": 24.96363,
    "name": "University of Helsinki",
    "url": "https://www.helsinki.fi/en",
  },
  {
    "city": "Rostock, Germany",
    "lat": 54.07746,
    "lng": 12.10781,
    "name": "University of Rostock",
    "url": "https://www.uni-rostock.de/en",
  },
  {
    "city": "Vienna, Austria",
    "lat": 48.21843,
    "lng": 16.35783,
    "name": "University of Vienna",
    "url": "https://www.univie.ac.at/en",
  },
  {
    "city": "Zurich, Switzerland",
    "lat": 47.39691,
    "lng": 8.54916,
    "name": "University of Zurich",
    "url": "https://www.uzh.ch/en.html",
  },
  {
    "city": "Uppsala, Sweden",
    "lat": 59.84196,
    "lng": 17.63462,
    "name": "Uppsala University",
    "url": "https://www.uu.se/en",
  },
]

/*
Locations for developer workshops
*/
var dev_workshops = [
  {
    "city": "Zurich, Switzerland",
    "lat": 47.40775,
    "lng": 8.50756,
    "name": "1st Molcas Developers' Workshop, 2013",
    "url": "https://reiher.ethz.ch",
  },
  {
    "city": "Alcalá de Henares, Spain",
    "lat": 40.48256,
    "lng": -3.36267,
    "name": "2nd Molcas Developers' Workshop, 2014",
    "url": "https://resmol.web.uah.es",
  },
  {
    "city": "Siena, Italy",
    "lat": 43.31639,
    "lng": 11.33920,
    "name": "3rd Molcas Developers' Workshop, 2015",
    "url": "https://www.lcpp.unisi.it",
  },
  {
    "city": "Vienna, Austria",
    "lat": 48.22008,
    "lng": 16.35619,
    "name": "4th Molcas Developers' Workshop, 2016",
    "url": "https://molcas2016.univie.ac.at",
  },
  {
    "city": "Jerusalem, Israel",
    "lat": 31.77436,
    "lng": 35.19719,
    "name": "5th Molcas Developers' Workshop, 2017",
    "url": "https://scholars.huji.ac.il/igorschapiro/book/molcas-workshop",
  },
  {
    "city": "Leuven, Belgium",
    "lat": 50.87667,
    "lng": 4.70183,
    "name": "6th Molcas Developers' Workshop, 2018",
    "url": "https://quantchem.kuleuven.be/mdw6/index.html",
  },
  {
    "city": "Minneapolis, United States",
    "lat": 44.97527,
    "lng": -93.23627,
    "name": "7th OpenMolcas Developers' Workshop, 2019",
    "url": "https://sites.google.com/umn.edu/mdw7/home",
  },
  {
    "city": "Stuttgart, Germany",
    "lat": 48.74662,
    "lng": 9.08198,
    "name": "8th OpenMolcas Developers' Workshop, 2020",
    "url": "https://www.fkf.mpg.de/omolcas2020",
    "virt": true,
  },
  {
    "city": "Loughborough, United Kingdom",
    "lat": 52.76171,
    "lng": -1.24080,
    "name": "9th OpenMolcas Developers' Workshop, 2021",
    "url": "https://comp-photo-chem.lboro.ac.uk",
    "virt": true,
  },
  {
    "city": "Uppsala, Sweden",
    "lat": 59.83830,
    "lng": 17.64846,
    "name": "10th OpenMolcas Developers' Workshop, 2022",
    "url": "https://enccs.github.io/openmolcas-2022",
  },
  {
    "city": "Bologna, Italy",
    "lat": 44.52111,
    "lng": 11.33639,
    "name": "11th OpenMolcas Developers' Workshop, 2023",
    "url": "https://eventi.unibo.it/openmolcas-workshop-2023",
  },
  {
    "city": "Toronto, Canada",
    "lat": 43.66158,
    "lng": -79.39861,
    "name": "12th OpenMolcas Developers' Workshop, 2024",
    "url": "https://hpqc.org/molcas",
  },
]
